Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.technicalconnector.bootstrap.bcp.domain
Enum CacheInformation.KeyTransformType

    java.lang.Object
      java.lang.Enum<CacheInformation.KeyTransformType>
          be.fgov.ehealth.technicalconnector.bootstrap.bcp.domain.CacheInformation.KeyTransformType

All Implemented Interfaces:
  Serializable, Comparable<CacheInformation.KeyTransformType>

Enclosing class:
  CacheInformation

    public static enum CacheInformation.KeyTransformType

extends Enum<CacheInformation.KeyTransformType>

Enum Constant Summary
`XSLT`

Method Summary
`static CacheInformation.KeyTransformType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheInformation.KeyTransformType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### XSLT

    public static final CacheInformation.KeyTransformType XSLT

Method Detail

### values

    public static CacheInformation.KeyTransformType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CacheInformation.KeyTransformType c : CacheInformation.KeyTransformType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CacheInformation.KeyTransformType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSNURSE 3.20.2 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.